// FILENAME:	FOTR_Skybase.cs
//
// AUTHORS:  	FOTR*RB*Morraukoruin
//------------------------------------------------------------------------------

$missionName = "FOTR_Skybase";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = false;	

	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad()
{
   	cdAudioCycle("");
}


function onMissionStart()
{
	

	titanSounds();

	$healRate = 100;    
	$ammoRate = 3;
   	$padWaitTime = 30;
  	$zenWaitTime = 60;
}


// Welcome Message
//------------------------------------------------------------------------------
function player::onAdd(%player)
{
      say(%player, 0, "Welcome to FOTR_Training!  You can download this and other missions made by FOTR*RB*Morraukoruin in the FOTR Map Packs at http://www.starsiegefotr.cjb.net.");
}

// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);   
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true);  
}


// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);   
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true);  
}


// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);   
}
function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true);  
}

// Teleporter Functionality
//------------------------------------------------------------------------------

function teletoguard::trigger::onEnter(%trigger, %vehicleId)
{
   	setPosition(%vehicleId, -462.251, 1772.98, 153.345);  
}