// FILENAME:	FOTR_Structures.cs
//
// AUTHORS:  	FOTR*RB*Aldaron
//------------------------------------------------------------------------------

$missionName = "FOTR_Structures";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;		
		
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = false;
}

function onMissionLoad()
{
   cdAudioCycle("");
}


function onMissionStart()
{
	

	titanSounds();

	$healRate = 100;    
	$ammoRate = 3;
   	$padWaitTime = 30;
  	$zenWaitTime = 60;
	titanSounds();
}


// Welcome Message
//------------------------------------------------------------------------------
function player::onAdd(%player)
{
      say(%player, 0, "Welcome to FOTR_Training!  You can download this and other missions made by FOTR*RB*Aldaron in the FOTR Map Packs at http://www.starsiegefotr.cjb.net.");
}

// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);   
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true);  
}

// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);   
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true);  
}

// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);   
}
function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true);  
}

// Out Of Bounds Functionality
//------------------------------------------------------------------------------
function OutOfBounds::trigger::onEnter(%this, %vehicleId)
{
	echo("function OutOfBounds::trigger::onEnter(%this, %vehicleId)");

	%player = playerManager::vehicleIdToPlayerNum(%vehicleId);

	// Destroy this player and inform them of their sin
	// destroyThisPlayer(%player);   //This is not a valid function/command
                                       //It isn't defined anywhere else in the script

      healObject(%vehicleId, -99999);  //Use this instead

		
	// Let them know they've strayed
	Say(%player, %player, *IDMULT_FOOTY_OUT_OF_BOUNDS);
}


// Teleporter Functionality
//------------------------------------------------------------------------------
function hideout::trigger::onEnter(%trigger, %vehicleId)
{
   if((getHudName(%vehicleId) == "FOTR*RB*Aldaron") && (getSquad(%vehicleId) == "The Fellowship"))
   {
      setPosition(%vehicleId, -520.528, 590.05, 119.814);
      setVehicleRadarVisible(%vehicleId, false);
   }
}


function hideout2::trigger::onEnter(%trigger, %vehicleId)
{
   if((getHudName(%vehicleId) == "FOTR*RB*Morraukoruin") && (getSquad(%vehicleId) == "The Fellowship"))
   {
      setPosition(%vehicleId, -520.528, 590.05, 119.814);
      setVehicleRadarVisible(%vehicleId, false);
   }
}


function baraddur::structure::onScan(%scanned, %scanner)
{
   setPosition(%scanner, 23.0556, 589.609, 488.57);
   setVehicleRadarVisible(%vehicleId, true);
}


function bottometoone::trigger::onEnter(%trigger, %vehicleId)
{
   setPosition(%vehicleId, -550.842, 1703.64, 174.048);
}


function onetotwo::trigger::onEnter(%trigger, %vehicleId)
{
   setPosition(%vehicleId, -550.842, 1703.64, 301.035);
}


function twotothree::trigger::onEnter(%trigger, %vehicleId)
{
   setPosition(%vehicleId, -550.842, 1703.64, 422.615);
}


function threetotop::trigger::onEnter(%trigger, %vehicleId)
{
   setPosition(%vehicleId, -550.842, 1703.64, 540.483);
}


function toptobottom::trigger::onEnter(%trigger, %vehicleId)
{
   setPosition(%vehicleId, -550.842, 1703.64, 100);
}