// FILENAME:	FOTR_TDM.cs
//
// AUTHORS:  	FOTR*RB*Aldaron
//------------------------------------------------------------------------------

$missionName = "FOTR_TDM";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;		
		
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;
  
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function onMissionLoad()
{
   cdAudioCycle("");  
}
 

function onMissionStart()
{
	$healRate = 100;    
	$ammoRate = 3;
   	$padWaitTime = 30;
  	$zenWaitTime = 60;

	marsSounds();		
}

// Welcome Message
//------------------------------------------------------------------------------
function player::onAdd(%player)
{
      say(%player, 0, "Welcome to FOTR_Training!  You can download this and other missions made by FOTR*RB*Aldaron in the FOTR Map Packs at http://www.starsiegefotr.cjb.net.");
}

// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);   
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true);  
}

// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);   
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true);  
}

// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);   
}
function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true);  
}

// Vehicle has gone out of bounds
// Destroy them
// Are they a flag carrier???  Don't worry, on destroyed checks for this case!
//------------------------------------------------
function OutOfBounds::trigger::onEnter(%this, %vehicleId)
{
	echo("function OutOfBounds::trigger::onEnter(%this, %vehicleId)");

	%player = playerManager::vehicleIdToPlayerNum(%vehicleId);

	// Destroy this player and inform them of their sin
	// destroyThisPlayer(%player);   //This is not a valid function/command
                                       //It isn't defined anywhere else in the script

      healObject(%vehicleId, -99999);  //Use this instead

		
	// Let them know they've strayed
	Say(%player, %player, *IDMULT_FOOTY_OUT_OF_BOUNDS);
}